/**
 * @typedef Emoticon
 *   Info on an emoticon.
 * @property {string} name
 *   Name of an emoticon (preferred name from `wooorm/gemoji`).
 * @property {string} emoji
 *   Corresponding emoji.
 * @property {Array<string>} tags
 *   Associated tags (from `wooorm/gemoji`).
 * @property {string} description
 *   Associated description (from `wooorm/gemoji`).
 * @property {Array<string>} emoticons
 *   ASCII emoticons.
 */
/**
 * List of emoticons.
 *
 * @type {Array<Emoticon>}
 */
export const emoticon: Array<Emoticon>
/**
 * Info on an emoticon.
 */
export type Emoticon = {
  /**
   *   Name of an emoticon (preferred name from `wooorm/gemoji`).
   */
  name: string
  /**
   *   Corresponding emoji.
   */
  emoji: string
  /**
   *   Associated tags (from `wooorm/gemoji`).
   */
  tags: Array<string>
  /**
   *   Associated description (from `wooorm/gemoji`).
   */
  description: string
  /**
   *   ASCII emoticons.
   */
  emoticons: Array<string>
}
